# azure.cognitiveservices.language.luis.runtime.operations module

class `azure.cognitiveservices.language.luis.runtime.operations.``PredictionOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PredictionOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  `get_slot_prediction`(app_id, slot_name, prediction_request, verbose=None, show_all_intents=None, log=None, custom_headers=None, raw=False, **operation_config)

    Gets the predictions for an application slot.

    Parameters:

    - app_id (str) – The application ID.
    - slot_name (str) – The application slot name.
    - prediction_request (PredictionRequest) – The prediction request parameters.
    - verbose (bool) – Indicates whether to get extra metadata for the entities predictions or not.
    - show_all_intents (bool) – Indicates whether to return all the intents in the response or just the top intent.
    - log (bool) – Indicates whether to log the endpoint query or not.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PredictionResponse or ClientRawResponse if raw=true
    Return type: | PredictionResponse or ClientRawResponse
    Raises: | `ErrorException`

  `get_version_prediction`(app_id, version_id, prediction_request, verbose=None, show_all_intents=None, log=None, custom_headers=None, raw=False, **operation_config)

    Gets the predictions for an application version.

    Parameters:

    - app_id (str) – The application ID.
    - version_id (str) – The application version ID.
    - prediction_request (PredictionRequest) – The prediction request parameters.
    - verbose (bool) – Indicates whether to get extra metadata for the entities predictions or not.
    - show_all_intents (bool) – Indicates whether to return all the intents in the response or just the top intent.
    - log (bool) – Indicates whether to log the endpoint query or not.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PredictionResponse or ClientRawResponse if raw=true
    Return type: | PredictionResponse or ClientRawResponse
    Raises: | `ErrorException`

  `models` = <module 'azure.cognitiveservices.language.luis.runtime.models' from '/usr/lib/python3/dist-packages/azure/cognitiveservices/language/luis/runtime/models/__init__.py'>